KAS-CLEANALL(1)

NAME
kas-cleanall - kas cleanall command

SYNOPSIS

            kas cleanall [-h] [--dry-run] [--isar-privileged | --isar-rootless] [config]

DESCRIPTION

Clean build artifacts, sstate-cache and downloads.

Removes the build artifacts, empties the sstate cache and the downloads.

OPTIONS

Positional Arguments

    config
        Config file(s), separated by colon. Using .config.yaml in KAS_WORK_DIR if existing and none is specified.

Named Arguments

    --dry-run=False
        Do not remove anything, just print what would be removed

    --isar-privileged=False, --isar=False
        Use ISAR (privileged) build directory layout

    --isar-rootless=False
        Use ISAR (rootless) build directory layout

SEE ALSO

kas-plugin-clean, kas-plugin-cleansstate, kas-plugin-purge

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025